Skip to main content
Resource Center/Network Resource/L2 Network Operations
PUTL2 Network OperationsSince 0.6SynchronousAuth Required

UpdateL2Network

UpdateL2Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL2NetworkInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

PUT/zstack/v1/l2-networks/{uuid}/actions

/zstack/v1/l2-networks/{uuid}/actions

Operation ID

UpdateL2Network

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/l2-networks/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "vlan": 10.0, "name": "Test-Net", "description": "Test", "zoneUuid": "95bb5b1156ff49caacaf9acc2eda0058", "physicalInterface": "eth0", "type": "L2VlanNetwork" } }

Change History

This API has no change history records yet.

View all change history